Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mri.v3ds
Class Track3ds

    java.lang.Object
      mri.v3ds.Track3ds

Direct Known Subclasses:
  HideTrack3ds, MorphTrack3ds, PTrack3ds, RotationTrack3ds, XYZTrack3ds

    public class Track3ds

extends java.lang.Object

Base class for all keyframer tracks.

Field Summary
`static int` | `LOCK_X`
`static int` | `LOCK_Y`
`static int` | `LOCK_Z`
`static int` | `LOOP` Track loops.
`static int` | `REPEAT` Track repeats.
`static int` | `SINGLE` Track runs one and stops.
`static int` | `UNLINK_X`
`static int` | `UNLINK_Y`
`static int` | `UNLINK_Z`

Constructor Summary
`Track3ds()`

Method Summary
`int` | `flags()` Get track flags.
`int` | `loopType()` Get loop type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLE

    public static final int SINGLE

  Track runs one and stops.

  See Also:
    Constant Field Values

### REPEAT

    public static final int REPEAT

  Track repeats.

  See Also:
    Constant Field Values

### LOOP

    public static final int LOOP

  Track loops.

  See Also:
    Constant Field Values

### LOCK_X

    public static final int LOCK_X

See Also:
  Constant Field Values

### LOCK_Y

    public static final int LOCK_Y

See Also:
  Constant Field Values

### LOCK_Z

    public static final int LOCK_Z

See Also:
  Constant Field Values

### UNLINK_X

    public static final int UNLINK_X

See Also:
  Constant Field Values

### UNLINK_Y

    public static final int UNLINK_Y

See Also:
  Constant Field Values

### UNLINK_Z

    public static final int UNLINK_Z

See Also:
  Constant Field Values

Constructor Detail

### Track3ds

    public Track3ds()

Method Detail

### loopType

    public int loopType()

  Get loop type.

  Returns:
    loop type (SINGLE, LOOP, REPEAT)

### flags

    public int flags()

  Get track flags. Use the constants LOCK_X, LOCK_Y, LOCK_Z, UNLINK_X, UNLINK_Y and UNLINK_Z as bitmasks to see if the flags are set.

  Returns:
    track flags

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD